Delete allocator
- DELETE /platform/infrastructure/allocators/{allocator_id}
Deletes the allocator.
Path Parameters
-
allocator_idstringrequired -
The allocator identifier.
Query Parameters
-
remove_instancesboolean · default: false Removes the instances from the deleted allocator.
Responses
The allocator specified by {allocator_id} was successfully deleted
Response Type: EmptyResponse
- The allocator specified by {allocator_id} could not be deleted. (code:
allocators.delete_connected_allocator_attempt) - The allocator specified by {allocator_id} could not be deleted. (code:
allocators.delete_allocator_with_instances_attempt)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The allocator specified by {allocator_id} cannot be found. (code: allocators.allocator_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response